<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class InputFormController extends Controller
{
    public function clearCache()
    {
        \Artisan::call('cache:clear');
        return view('clear-cache');
    }
    
    public function inserteacinput(Request $request)
    { 
        $linelist_date = $request->linelist_date ? date('Y-m-d',strtotime($request->linelist_date)) : null;
        $doe = $request->doe ? date('Y-m-d',strtotime($request->doe)) : null;
        $vl_test_date = $request->vl_test_date ? date('Y-m-d',strtotime($request->vl_test_date)) : null;
        $suc1_date = $request->suc1_date ? date('Y-m-d',strtotime($request->suc1_date)) : null;
        $rep_vl_date = $request->rep_vl_date ? date('Y-m-d',strtotime($request->rep_vl_date)) : null;
        $final_outcome_date = $request->final_outcome_date ? date('Y-m-d',strtotime($request->final_outcome_date)) : null;
        
        $data = array(
            "doe"=>$doe,
            "linelist_date"=>$linelist_date,
            "state_code"=>$request->state_code,
            "dist_code"=>$request->dist_code,
            "emp_code"=>$request->emp_code,
            "art_centre_code"=>$request->art_centre_code,
            "art_centre"=>$request->art_centre,
            "pat_uid"=>$request->pat_uid,
            "eac_visit"=>$request->eac_visit,
            "vl_test_date"=>$vl_test_date,
            "usp_vl_count"=>$request->usp_vl_count,
            "art_adh"=>$request->art_adh,
            "vlt_imp"=>$request->vlt_imp,
            "art_dosage"=>$request->art_dosage,
            "caregiver_name"=>$request->caregiver_name,
            "caregiver_mobile"=>$request->caregiver_mobile,
            "suc1_date"=>$suc1_date,
            "suc1_mode"=>$request->suc1_mode,
            "suc1_bat"=>$request->suc1_bat,
            "suc1_int"=>$request->suc1_int,
            "suc1_adh"=>$request->suc1_adh,
            "suc1_sup"=>$request->suc1_sup,
            "suc1_bat_other_specify"=>$request->suc1_bat_other_specify,
            "suc1_int_other_specify"=>$request->suc1_int_other_specify,
            "suc1_adh_other_specify"=>$request->suc1_adh_other_specify,
            "suc1_sup_other_specify"=>$request->suc1_sup_other_specify,
            "rep_vl_date"=>$rep_vl_date,
            "rep_vl_res"=>$request->rep_vl_res,
            "referred_sacep"=>$request->referred_sacep,
            "referred_sacep_type"=>$request->referred_sacep_type,
            "specify_referred_sacep"=>$request->specify_referred_sacep,
            "eac_final_outcome"=>$request->eac_final_outcome,
            "specify_eac_final_outcome"=>$request->specify_eac_final_outcome,
            "final_outcome_date"=>$final_outcome_date,
            "remarks"=>$request->remarks
        );
        
        $insdata = DB::table('eac_input')->insert($data);
        return redirect('eac-input-data');
    }
    
    public function geteacinputdata(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = DB::table('eac_input')->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = DB::table('eac_input')->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = DB::table('eac_input')->whereIn('art_centre',$art_centre_code)->get();
        }
        else
        {
            $getdata = DB::table('eac_input')->where('emp_code',$emp_code)->get();
        }
        return view('pages.eac-input-data', compact('getdata'));
    }
    
    public function showeacinput($id)
    {  
        $showdata = DB::table('eac_input')->where('id','=',$id)->get();
        return view('pages.eac-input', compact('showdata'));
    }

    public function updateeacinput(Request $request)
    { 
        $linelist_date = $request->linelist_date ? date('Y-m-d',strtotime($request->linelist_date)) : null;
        $doe = $request->doe ? date('Y-m-d',strtotime($request->doe)) : null;
        $vl_test_date = $request->vl_test_date ? date('Y-m-d',strtotime($request->vl_test_date)) : null;
        $suc1_date = $request->suc1_date ? date('Y-m-d',strtotime($request->suc1_date)) : null;
        $suc2_date = $request->suc2_date ? date('Y-m-d',strtotime($request->suc2_date)) : null;
        $suc3_date = $request->suc3_date ? date('Y-m-d',strtotime($request->suc3_date)) : null;
        $suc4_date = $request->suc4_date ? date('Y-m-d',strtotime($request->suc4_date)) : null;
        $suc5_date = $request->suc5_date ? date('Y-m-d',strtotime($request->suc5_date)) : null;
        $suc6_date = $request->suc6_date ? date('Y-m-d',strtotime($request->suc6_date)) : null;
        $rep_vl_date = $request->rep_vl_date ? date('Y-m-d',strtotime($request->rep_vl_date)) : null;
        $final_outcome_date = $request->final_outcome_date ? date('Y-m-d',strtotime($request->final_outcome_date)) : null;
        
        if($request->final_outcome_date)
        {
            $mapdata = array(
                "linelist_close_date"=>date('Y-m-d'),
                "final_outcome_date"=>$final_outcome_date,
                "linelist_status"=>'Close',
            );
            $update_mapping = DB::table('patient_mapping')->where(['pat_uid'=>$request->pat_uid,'linelist_type'=>3,'linelist_status'=>'Open'])->update($mapdata);
        }
        if(!$request->eac_visit)
        {
            $request->eac_visit = 1;
        }
        $data = array(
            "eac_visit"=>$request->eac_visit,
            "vl_test_date"=>$vl_test_date,
            "usp_vl_count"=>$request->usp_vl_count,
            "art_adh"=>$request->art_adh,
            "vlt_imp"=>$request->vlt_imp,
            "art_dosage"=>$request->art_dosage,
            "caregiver_name"=>$request->caregiver_name,
            "caregiver_mobile"=>$request->caregiver_mobile,
            "suc1_date"=>$suc1_date,
            "suc1_mode"=>$request->suc1_mode,
            "suc1_bat"=>$request->suc1_bat,
            "suc1_int"=>$request->suc1_int,
            "suc1_adh"=>$request->suc1_adh,
            "suc1_sup"=>$request->suc1_sup,
            "suc1_bat_other_specify"=>$request->suc1_bat_other_specify,
            "suc1_int_other_specify"=>$request->suc1_int_other_specify,
            "suc1_adh_other_specify"=>$request->suc1_adh_other_specify,
            "suc1_sup_other_specify"=>$request->suc1_sup_other_specify,
            "suc2_date"=>$suc2_date,
            "suc2_mode"=>$request->suc2_mode,
            "suc2_bat"=>$request->suc2_bat,
            "suc2_int"=>$request->suc2_int,
            "suc2_adh"=>$request->suc2_adh,
            "suc2_sup"=>$request->suc2_sup,
            "suc2_bat_other_specify"=>$request->suc2_bat_other_specify,
            "suc2_int_other_specify"=>$request->suc2_int_other_specify,
            "suc2_adh_other_specify"=>$request->suc2_adh_other_specify,
            "suc2_sup_other_specify"=>$request->suc2_sup_other_specify,
            "suc3_date"=>$suc3_date,
            "suc3_mode"=>$request->suc3_mode,
            "suc3_bat"=>$request->suc3_bat,
            "suc3_int"=>$request->suc3_int,
            "suc3_adh"=>$request->suc3_adh,
            "suc3_sup"=>$request->suc3_sup,
            "suc3_bat_other_specify"=>$request->suc3_bat_other_specify,
            "suc3_int_other_specify"=>$request->suc3_int_other_specify,
            "suc3_adh_other_specify"=>$request->suc3_adh_other_specify,
            "suc3_sup_other_specify"=>$request->suc3_sup_other_specify,
            "suc4_date"=>$suc4_date,
            "suc4_mode"=>$request->suc4_mode,
            "suc4_bat"=>$request->suc4_bat,
            "suc4_int"=>$request->suc4_int,
            "suc4_adh"=>$request->suc4_adh,
            "suc4_sup"=>$request->suc4_sup,
            "suc4_bat_other_specify"=>$request->suc4_bat_other_specify,
            "suc4_int_other_specify"=>$request->suc4_int_other_specify,
            "suc4_adh_other_specify"=>$request->suc4_adh_other_specify,
            "suc4_sup_other_specify"=>$request->suc4_sup_other_specify,
            "suc5_date"=>$suc5_date,
            "suc5_mode"=>$request->suc5_mode,
            "suc5_bat"=>$request->suc5_bat,
            "suc5_int"=>$request->suc5_int,
            "suc5_adh"=>$request->suc5_adh,
            "suc5_sup"=>$request->suc5_sup,
            "suc5_bat_other_specify"=>$request->suc5_bat_other_specify,
            "suc5_int_other_specify"=>$request->suc5_int_other_specify,
            "suc5_adh_other_specify"=>$request->suc5_adh_other_specify,
            "suc5_sup_other_specify"=>$request->suc5_sup_other_specify,
            "suc6_date"=>$suc6_date,
            "suc6_mode"=>$request->suc6_mode,
            "suc6_bat"=>$request->suc6_bat,
            "suc6_int"=>$request->suc6_int,
            "suc6_adh"=>$request->suc6_adh,
            "suc6_sup"=>$request->suc6_sup,
            "suc6_bat_other_specify"=>$request->suc6_bat_other_specify,
            "suc6_int_other_specify"=>$request->suc6_int_other_specify,
            "suc6_adh_other_specify"=>$request->suc6_adh_other_specify,
            "suc6_sup_other_specify"=>$request->suc6_sup_other_specify,
            "rep_vl_date"=>$rep_vl_date,
            "rep_vl_res"=>$request->rep_vl_res,
            "referred_sacep"=>$request->referred_sacep,
            "referred_sacep_type"=>$request->referred_sacep_type,
            "specify_referred_sacep"=>$request->specify_referred_sacep,
            "eac_final_outcome"=>$request->eac_final_outcome,
            "specify_eac_final_outcome"=>$request->specify_eac_final_outcome,
            "final_outcome_date"=>$final_outcome_date,
            "remarks"=>$request->remarks
        );

        $insdata = DB::table('eac_input')->where('id',$request->id)->update($data);
        return redirect('eac-input-data');
    }    

    public function insertoutreachinput(Request $request)
    {
        $doe = $request->doe ? date('Y-m-d',strtotime($request->doe)) : null;
        $linelist_date = $request->linelist_date ? date('Y-m-d',strtotime($request->linelist_date)) : null;
        $dlva_date = $request->dlva_date ? date('Y-m-d',strtotime($request->dlva_date)) : null;
        $ddva_date = $request->ddva_date ? date('Y-m-d',strtotime($request->ddva_date)) : null;
        $contact_date_v1 = $request->contact_date_v1 ? date('Y-m-d',strtotime($request->contact_date_v1)) : null;
        $contact_date_v2 = $request->contact_date_v2 ? date('Y-m-d',strtotime($request->contact_date_v2)) : null;
        $contact_date_v3 = $request->contact_date_v3 ? date('Y-m-d',strtotime($request->contact_date_v3)) : null;
        $contact_date_v4 = $request->contact_date_v4 ? date('Y-m-d',strtotime($request->contact_date_v4)) : null;
        $contact_date_v5 = $request->contact_date_v5 ? date('Y-m-d',strtotime($request->contact_date_v5)) : null;
        $final_outcome_date = $request->final_outcome_date ? date('Y-m-d',strtotime($request->final_outcome_date)) : null;
        
        $data = array(
            "doe"=>$request->doe,
            "linelist_date"=>$linelist_date,
            "doe_for"=>$request->doe_for,
            "state_code"=>$request->state_code,
            "dist_code"=>$request->dist_code,
            "emp_code"=>$request->emp_code,
            "art_centre_code"=>$request->art_centre_code,
            "pat_uid"=>$request->pat_uid,
            "pat_art_centre"=>$request->art_centre,
            "dlva_date"=>$dlva_date,
            "ddva_date"=>$ddva_date,
            "contact_visit"=>$request->contact_visit,
            "contact_date_v1"=>$contact_date_v1,
            "contact_mode_v1"=>$request->contact_mode_v1,
            "linelist_reason_v1"=>$request->linelist_reason_v1,
            "linelist_reason_id_v1"=>$request->linelist_reason_id_v1,
            "linelist_other_reason_v1"=>$request->linelist_other_reason_v1,
            "contact_date_v2"=>$contact_date_v2,
            "contact_mode_v2"=>$request->contact_mode_v2,
            "linelist_reason_v2"=>$request->linelist_reason_v2,
            "linelist_reason_id_v2"=>$request->linelist_reason_id_v2,
            "linelist_other_reason_v2"=>$request->linelist_other_reason_v2,
            "contact_date_v3"=>$contact_date_v3,
            "contact_mode_v3"=>$request->contact_mode_v3,
            "linelist_reason_v3"=>$request->linelist_reason_v3,
            "linelist_reason_id_v3"=>$request->linelist_reason_id_v3,
            "linelist_other_reason_v3"=>$request->linelist_other_reason_v3,
            "contact_date_v4"=>$contact_date_v4,
            "contact_mode_v4"=>$request->contact_mode_v4,
            "linelist_reason_v4"=>$request->linelist_reason_v4,
            "linelist_reason_id_v4"=>$request->linelist_reason_id_v4,
            "linelist_other_reason_v4"=>$request->linelist_other_reason_v4,
            "contact_date_v5"=>$contact_date_v5,
            "contact_mode_v5"=>$request->contact_mode_v5,
            "linelist_reason_v5"=>$request->linelist_reason_v5,
            "linelist_reason_id_v5"=>$request->linelist_reason_id_v5,
            "linelist_other_reason_v5"=>$request->linelist_other_reason_v5,
            "final_outcome"=>$request->final_outcome,
            "final_outcome_id"=>$request->final_outcome_id,
            "final_outcome_other_reason"=>$request->final_outcome_other_reason,
            "final_outcome_date"=>$final_outcome_date
        );
        
        $insdata = DB::table('outreach_input')->insert($data);
        if($request->doe_for == 1)
        {
            return redirect('outreach-input-data');
        }
        else
        {
            return redirect('calling-input-data');
        }
    }

    public function showoutreachinput($id)
    {  
        $showdata = DB::table('outreach_input')->where('id','=',$id)->get();
        return view('pages.outreach-input', compact('showdata'));
    }

    public function showcallinginput($id)
    {  
        $showdata = DB::table('outreach_input')->where('id','=',$id)->get();
        return view('pages.calling-input', compact('showdata'));
    }

    public function updateoutreachinput(Request $request)
    { 
        $doe = $request->doe ? date('Y-m-d',strtotime($request->doe)) : null;
        $linelist_date = $request->linelist_date ? date('Y-m-d',strtotime($request->linelist_date)) : null;
        $dlva_date = $request->dlva_date ? date('Y-m-d',strtotime($request->dlva_date)) : null;
        $ddva_date = $request->ddva_date ? date('Y-m-d',strtotime($request->ddva_date)) : null;
        $contact_date_v1 = $request->contact_date_v1 ? date('Y-m-d',strtotime($request->contact_date_v1)) : null;
        $contact_date_v2 = $request->contact_date_v2 ? date('Y-m-d',strtotime($request->contact_date_v2)) : null;
        $contact_date_v3 = $request->contact_date_v3 ? date('Y-m-d',strtotime($request->contact_date_v3)) : null;
        $contact_date_v4 = $request->contact_date_v4 ? date('Y-m-d',strtotime($request->contact_date_v4)) : null;
        $contact_date_v5 = $request->contact_date_v5 ? date('Y-m-d',strtotime($request->contact_date_v5)) : null;
        $final_outcome_date = $request->final_outcome_date ? date('Y-m-d',strtotime($request->final_outcome_date)) : null;
        
        if($request->final_outcome_date)
        {
            $mapdata = array(
                "final_outcome_date"=>$final_outcome_date,
                "linelist_close_date"=>date('Y-m-d'),
                "linelist_status"=>'Close',
            );
            $update_mapping = DB::table('patient_mapping')->where(['pat_uid'=>$request->pat_uid,'linelist_reason'=>$request->linelist_reason_v1])->update($mapdata);
        }
        
        $showdata = DB::table('outreach_input')->where('id','=',$request->id)->get();
        if(!$request->contact_visit)
        {
            $request->contact_visit = $showdata[0]->contact_visit;
        }
        $data = array(
            "pat_art_centre"=>$request->art_centre,
            "dlva_date"=>$dlva_date,
            "ddva_date"=>$ddva_date,
            "contact_visit"=>$request->contact_visit,
            "contact_date_v1"=>$contact_date_v1,
            "contact_mode_v1"=>$request->contact_mode_v1,
            "linelist_reason_v1"=>$request->linelist_reason_v1,
            "linelist_reason_id_v1"=>$request->linelist_reason_id_v1,
            "linelist_other_reason_v1"=>$request->linelist_other_reason_v1,
            "contact_date_v2"=>$contact_date_v2,
            "contact_mode_v2"=>$request->contact_mode_v2,
            "linelist_reason_v2"=>$request->linelist_reason_v2,
            "linelist_reason_id_v2"=>$request->linelist_reason_id_v2,
            "linelist_other_reason_v2"=>$request->linelist_other_reason_v2,
            "contact_date_v3"=>$contact_date_v3,
            "contact_mode_v3"=>$request->contact_mode_v3,
            "linelist_reason_v3"=>$request->linelist_reason_v3,
            "linelist_reason_id_v3"=>$request->linelist_reason_id_v3,
            "linelist_other_reason_v3"=>$request->linelist_other_reason_v3,
            "contact_date_v4"=>$contact_date_v4,
            "contact_mode_v4"=>$request->contact_mode_v4,
            "linelist_reason_v4"=>$request->linelist_reason_v4,
            "linelist_reason_id_v4"=>$request->linelist_reason_id_v4,
            "linelist_other_reason_v4"=>$request->linelist_other_reason_v4,
            "contact_date_v5"=>$contact_date_v5,
            "contact_mode_v5"=>$request->contact_mode_v5,
            "linelist_reason_v5"=>$request->linelist_reason_v5,
            "linelist_reason_id_v5"=>$request->linelist_reason_id_v5,
            "linelist_other_reason_v5"=>$request->linelist_other_reason_v5,
            "final_outcome"=>$request->final_outcome,
            "final_outcome_id"=>$request->final_outcome_id,
            "final_outcome_other_reason"=>$request->final_outcome_other_reason,
            "final_outcome_date"=>$final_outcome_date
        );

        $insdata = DB::table('outreach_input')->where('id',$request->id)->update($data);
        if($request->doe_for == 1)
        {
            return redirect('outreach-input-data');
        }
        else
        {
            return redirect('calling-input-data');
        }
    }    
    public function getoutreachinputdata(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = DB::table('outreach_input')->where('doe_for',1)->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = DB::table('outreach_input')->where('doe_for',1)->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = DB::table('outreach_input')->where('doe_for',1)->whereIn('art_centre',$art_centre_code)->get();
        }
        else
        {
            $getdata = DB::table('outreach_input')->where('doe_for',1)->where('emp_code',$emp_code)->get();
        }
        return view('pages.outreach-input-data', compact('getdata'));
    }

    public function getcallinginputdata(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = DB::table('outreach_input')->where('doe_for',2)->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = DB::table('outreach_input')->where('doe_for',2)->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = DB::table('outreach_input')->where('doe_for',2)->whereIn('art_centre',$art_centre_code)->get();
        }
        else
        {
            $getdata = DB::table('outreach_input')->where('doe_for',2)->where('emp_code',$emp_code)->get();
        }
        return view('pages.calling-input-data', compact('getdata'));
    }

    public function getlinelistmaster(Request $request)
    {
        $html = "<option value=''>Please Select</option>";
        if($request->linelist_reason == 1 || $request->linelist_reason == 2)
        {
            $showdata = DB::table('lfu_mis_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->lfumis_name."'>".$data->lfumis_name."</option>";
                }
            }
        }
        else if($request->linelist_reason == 3)
        {
            $showdata = DB::table('hd_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->hd_outcome."'>".$data->hd_outcome."</option>";
                }
            }
        }
        else if($request->linelist_reason == 4)
        {
            $showdata = DB::table('vl_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->vl_outcome."'>".$data->vl_outcome."</option>";
                }
            }
        }
        else if($request->linelist_reason == 6 || $request->linelist_reason == 7)
        {
            $showdata = DB::table('lfu_ci_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->lfu_ci_outcome."'>".$data->lfu_ci_outcome."</option>";
                }
            }
        }
        else if($request->linelist_reason == 8 || $request->linelist_reason == 9)
        {
            $showdata = DB::table('cd4_ci_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->cd4_ci_outcome."'>".$data->cd4_ci_outcome."</option>";
                }
            }
        }
        else if($request->linelist_reason == 10)
        {
            $showdata = DB::table('due_date_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->due_date_outcome."'>".$data->due_date_outcome."</option>";
                }
            }
        }
        else
        {
            $showdata = DB::table('tb_follow_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->tb_outcome."'>".$data->tb_outcome."</option>";
                }
            }
        }
        return json_encode(['html' => $html]);
    }

    public function geteaclinelistmaster(Request $request)
    {
        $html = "<option value=''>Please Select</option>";
        if($request->linelist_reason == 1)
        {
            $showdata = DB::table('bta_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->id."'>".$data->bta_barriers."</option>";
                }
            }
        }
        else if($request->linelist_reason == 2)
        {
            $showdata = DB::table('int_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->id."'>".$data->int_support."</option>";
                }
            }
        }
        else if($request->linelist_reason == 3)
        {
            $showdata = DB::table('adh_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->id."'>".$data->adh_level."</option>";
                }
            }
        }
        else if($request->linelist_reason == 4)
        {
            $showdata = DB::table('sup_master')->get();
            if(count($showdata) > 0)
            {
                foreach($showdata as $data)
                {
                    $html .= "<option value='".$data->id."'>".$data->sup_reason."</option>";
                }
            }
        }
        return json_encode(['html' => $html]);
    }

    public function insertdeoinput(Request $request)
    { 
        $date = $request->date ? date('Y-m-d',strtotime($request->date)) : null;
        $data = array(
            "date"=>$date,
            "day"=>$request->day,
            "state_code"=>$request->state_code,
            "dist_code"=>$request->dist_code,
            "emp_code"=>$request->emp_code,
            "art_centre_code"=>$request->art_centre_code,
            "vl_entry"=>$request->vl_entry,
            "cd4_entry"=>$request->cd4_entry,
            "ipt_entry"=>$request->ipt_entry,
            "white_cards_entry"=>$request->white_cards_entry,
            "pals_entry"=>$request->pals_entry,
            "soch_entry"=>$request->soch_entry,
            "mll_entry"=>$request->mll_entry,
            "disp_entry"=>$request->disp_entry,
            "other_work"=>$request->other_work,
            "specify_other_work"=>$request->specify_other_work,
        );
        
        $insdata = DB::table('deo_form')->insert($data);
        return redirect('deo-input-data');
    }

    public function getdeoinputdata(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = DB::table('deo_form')->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = DB::table('deo_form')->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = DB::table('deo_form')->whereIn('art_centre_code',$art_centre_code)->get();
        }
        else
        {
            $getdata = DB::table('deo_form')->where('emp_code',$emp_code)->get();
        }
        return view('pages.deo-input-data', compact('getdata'));
    }

    public function showdeoinput($id)
    {  
        $showdata = DB::table('deo_form')->where('id','=',$id)->get();
        return view('pages.deo-input', compact('showdata'));
    }

    public function updatedeoinput(Request $request)
    { 
        $date = $request->date ? date('Y-m-d',strtotime($request->date)) : null;
        $data = array(
            "date"=>$date,
            "day"=>$request->day,
            "pat_uid"=>$request->pat_uid,
            "vl_entry"=>$request->vl_entry,
            "cd4_entry"=>$request->cd4_entry,
            "ipt_entry"=>$request->ipt_entry,
            "white_cards_entry"=>$request->white_cards_entry,
            "pals_entry"=>$request->pals_entry,
            "soch_entry"=>$request->soch_entry,
            "mll_entry"=>$request->mll_entry,
            "disp_entry"=>$request->disp_entry,
            "other_work"=>$request->other_work,
        );

        $insdata = DB::table('deo_form')->where('id',$request->id)->update($data);
        return redirect('deo-input-data');
    } 

    public function checkdeodate(Request $request)
    {
        $showdata = DB::table('deo_form')->where('date','=',$request->date)->count();
        return json_encode(['showdata' => $showdata]);
    }
}
