<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ReportController extends Controller
{
    public function clearCache()
    {
        \Artisan::call('cache:clear');
        return view('clear-cache');
    }
    
    public function getoutreachreport()
    {
        $getdata = DB::table('lfu_mis_master')->get();
        
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        
        if(count($getdata) > 0)
        {
            foreach($getdata as $data)
            {
                $month_arr = array();
                $count_arr = array();
                for ($i = -3; $i <= 0; $i++)
                {
                    $monthYear = date('Y-m', strtotime("$i month", strtotime(date("Y-m-22"))));
                    $mon_yr_arr = explode('-', $monthYear);
                    $month = $mon_yr_arr[1];
                    $year = $mon_yr_arr[0];
                    array_push($month_arr,$monthYear);
                   
                    if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
                    {
                        $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>1,'final_outcome_id'=>$data->lfumis_name])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    else if($role_name[0] == "State_Manager")
                    {
                        $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>1,'final_outcome_id'=>$data->lfumis_name,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    else if($role_name[0] == "District_Manager")
                    {
                        $count = DB::table('outreach_input')->whereIn('art_centre',$art_centre_code)->where(['doe_for'=>1,'final_outcome'=>1,'final_outcome_id'=>$data->lfumis_name,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    else
                    {
                        $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>1,'final_outcome_id'=>$data->lfumis_name,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    array_push($count_arr,$count);
                }
                $month_arr = array_reverse($month_arr);
                $count_arr = array_reverse($count_arr);
                $data->count_arr = $count_arr;
            }
        }
        
        $data = array(
            'master'=>'lfu',
            'getdata'=>$getdata,
            'month_arr'=>$month_arr,
        );
        return view('pages.outreach-report')->with($data);
    }
    
    public function getfilteredoutreachreport(Request $request)
    {
        if($request->master_name == "lfu")
        {
            $getdata = DB::table('lfu_mis_master')->get();
            $final_outcome = 1;
        }
        else if($request->master_name == "mis")
        {
            $getdata = DB::table('lfu_mis_master')->get();
            $final_outcome = 2;
        }
        else if($request->master_name == "hd")
        {
            $getdata = DB::table('hd_master')->get();
            $final_outcome = 3;
        }
        else
        {
            $getdata = DB::table('vl_master')->get();
            $final_outcome = 4;
        }
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        
        if(count($getdata) > 0)
        {
            foreach($getdata as $data)
            {
                $month_arr = array();
                $count_arr = array();
                for ($i = -3; $i <= 0; $i++)
                {
                    $monthYear = date('Y-m', strtotime("$i month", strtotime(date("Y-m-22"))));
                    $mon_yr_arr = explode('-', $monthYear);
                    $month = $mon_yr_arr[1];
                    $year = $mon_yr_arr[0];
                    array_push($month_arr,$monthYear);
                   
                    if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
                    {
                        if($request->master_name == "hd")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->hd_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "vl")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->vl_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->lfumis_name])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    else if($role_name[0] == "State_Manager")
                    {
                        if($request->master_name == "hd")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->hd_outcome,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "vl")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->vl_outcome,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->lfumis_name,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    else if($role_name[0] == "District_Manager")
                    {
                        if($request->master_name == "hd")
                        {
                            $count = DB::table('outreach_input')->whereIn('art_centre',$art_centre_code)->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->hd_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "vl")
                        {
                            $count = DB::table('outreach_input')->whereIn('art_centre',$art_centre_code)->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->vl_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('outreach_input')->whereIn('art_centre',$art_centre_code)->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->lfumis_name])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    else
                    {
                        if($request->master_name == "hd")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->hd_outcome,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "vl")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->vl_outcome,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->lfumis_name,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        $count = DB::table('outreach_input')->where(['doe_for'=>1,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->lfumis_name,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    array_push($count_arr,$count);
                }
                $month_arr = array_reverse($month_arr);
                $count_arr = array_reverse($count_arr);
                $data->count_arr = $count_arr;
            }
        }
        
        $data = array(
            'master'=>$request->master_name,
            'getdata'=>$getdata,
            'month_arr'=>$month_arr,
        );
        return view('pages.outreach-report')->with($data);
    }
    
    public function getcallingreport()
    {
        $getdata = DB::table('lfu_ci_master')->get();
        
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        
        if(count($getdata) > 0)
        {
            foreach($getdata as $data)
            {
                $month_arr = array();
                $count_arr = array();
                for ($i = -3; $i <= 0; $i++)
                {
                    $monthYear = date('Y-m', strtotime("$i month", strtotime(date("Y-m-22"))));
                    $mon_yr_arr = explode('-', $monthYear);
                    $month = $mon_yr_arr[1];
                    $year = $mon_yr_arr[0];
                    array_push($month_arr,$monthYear);
                   
                    if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
                    {
                        $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>6,'final_outcome_id'=>$data->lfu_ci_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    else if($role_name[0] == "State_Manager")
                    {
                        $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>6,'final_outcome_id'=>$data->lfu_ci_outcome,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    else if($role_name[0] == "District_Manager")
                    {
                        $count = DB::table('outreach_input')->whereIn('art_centre',$art_centre_code)->where(['doe_for'=>2,'final_outcome'=>6,'final_outcome_id'=>$data->lfu_ci_outcome,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    else
                    {
                        $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>6,'final_outcome_id'=>$data->lfu_ci_outcome,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    array_push($count_arr,$count);
                }
                $month_arr = array_reverse($month_arr);
                $count_arr = array_reverse($count_arr);
                $data->count_arr = $count_arr;
            }
        }
        
        $data = array(
            'master'=>'lfu',
            'getdata'=>$getdata,
            'month_arr'=>$month_arr,
        );
        return view('pages.calling-report')->with($data);
    }
    
    public function getfilteredcallingreport(Request $request)
    {
        if($request->master_name == "lfu")
        {
            $getdata = DB::table('lfu_ci_master')->get();
            $final_outcome = 6;
        }
        else if($request->master_name == "mis")
        {
            $getdata = DB::table('lfu_ci_master')->get();
            $final_outcome = 7;
        }
        else if($request->master_name == "cd4")
        {
            $getdata = DB::table('cd4_ci_master')->get();
            $final_outcome = 8;
        }
        else if($request->master_name == "tld")
        {
            $getdata = DB::table('cd4_ci_master')->get();
            $final_outcome = 9;
        }
        else if($request->master_name == "due_date")
        {
            $getdata = DB::table('due_date_master')->get();
            $final_outcome = 10;
        }
        else
        {
            $getdata = DB::table('tb_follow_master')->get();
            $final_outcome = 11;
        }
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        
        if(count($getdata) > 0)
        {
            foreach($getdata as $data)
            {
                $month_arr = array();
                $count_arr = array();
                for ($i = -3; $i <= 0; $i++)
                {
                    $monthYear = date('Y-m', strtotime("$i month", strtotime(date("Y-m-22"))));
                    $mon_yr_arr = explode('-', $monthYear);
                    $month = $mon_yr_arr[1];
                    $year = $mon_yr_arr[0];
                    array_push($month_arr,$monthYear);
                   
                    if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
                    {
                        if($request->master_name == "cd4" || $request->master_name == "tld")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->cd4_ci_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "due_date")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->due_date_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "tb_follow")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->tb_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->lfu_ci_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    else if($role_name[0] == "State_Manager")
                    {
                        if($request->master_name == "cd4" || $request->master_name == "tld")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->cd4_ci_outcome,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "due_date")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->due_date_outcome,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "tb_follow")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->tb_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->lfu_ci_outcome,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    else if($role_name[0] == "District_Manager")
                    {
                        if($request->master_name == "cd4" || $request->master_name == "tld")
                        {
                            $count = DB::table('outreach_input')->whereIn('art_centre',$art_centre_code)->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->cd4_ci_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "due_date")
                        {
                            $count = DB::table('outreach_input')->whereIn('art_centre',$art_centre_code)->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->due_date_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "tb_follow")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->tb_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('outreach_input')->whereIn('art_centre',$art_centre_code)->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->lfu_ci_outcome])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    else
                    {
                        if($request->master_name == "cd4" || $request->master_name == "tld")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->cd4_ci_outcome,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "due_date")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->due_date_outcome,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "tb_follow")
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->tb_outcome,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('outreach_input')->where(['doe_for'=>2,'final_outcome'=>$final_outcome,'final_outcome_id'=>$data->lfu_ci_outcome,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    array_push($count_arr,$count);
                }
                $month_arr = array_reverse($month_arr);
                $count_arr = array_reverse($count_arr);
                $data->count_arr = $count_arr;
            }
        }
        
        $data = array(
            'master'=>$request->master_name,
            'getdata'=>$getdata,
            'month_arr'=>$month_arr,
        );
        return view('pages.calling-report')->with($data);
    }
    
    public function geteacreport()
    {
        $getdata = DB::table('bta_master')->get();
        
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        
        if(count($getdata) > 0)
        {
            foreach($getdata as $data)
            {
                $month_arr = array();
                $count_arr = array();
                for ($i = -3; $i <= 0; $i++)
                {
                    $monthYear = date('Y-m', strtotime("$i month", strtotime(date("Y-m-22"))));
                    $mon_yr_arr = explode('-', $monthYear);
                    $month = $mon_yr_arr[1];
                    $year = $mon_yr_arr[0];
                    array_push($month_arr,$monthYear);
                   
                    if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
                    {
                        $count = DB::table('eac_input')->where(['suc6_bat'=>$data->bta_barriers])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    else if($role_name[0] == "State_Manager")
                    {
                        $count = DB::table('eac_input')->where(['suc6_bat'=>$data->bta_barriers,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    else if($role_name[0] == "District_Manager")
                    {
                        $count = DB::table('eac_input')->whereIn('art_centre',$art_centre_code)->where(['suc6_bat'=>$data->bta_barriers,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    else
                    {
                        $count = DB::table('eac_input')->where(['suc6_bat'=>$data->bta_barriers,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                    }
                    array_push($count_arr,$count);
                }
                $month_arr = array_reverse($month_arr);
                $count_arr = array_reverse($count_arr);
                $data->count_arr = $count_arr;
            }
        }
        
        $data = array(
            'master'=>'bta',
            'getdata'=>$getdata,
            'month_arr'=>$month_arr,
        );
        return view('pages.eac-report')->with($data);
    }
    
    public function getfilteredeacreport(Request $request)
    {
        if($request->master_name == "bta")
        {
            $getdata = DB::table('bta_master')->get();
        }
        else if($request->master_name == "int")
        {
            $getdata = DB::table('int_master')->get();
        }
        else if($request->master_name == "adh")
        {
            $getdata = DB::table('adh_master')->get();
        }
        else
        {
            $getdata = DB::table('sup_master')->get();
        }
        
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        
        if(count($getdata) > 0)
        {
            foreach($getdata as $data)
            {
                $month_arr = array();
                $count_arr = array();
                for ($i = -3; $i <= 0; $i++)
                {
                    $monthYear = date('Y-m', strtotime("$i month", strtotime(date("Y-m-22"))));
                    $mon_yr_arr = explode('-', $monthYear);
                    $month = $mon_yr_arr[1];
                    $year = $mon_yr_arr[0];
                    array_push($month_arr,$monthYear);
                   
                    if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
                    {
                        if($request->master_name == "bta")
                        {
                            $count = DB::table('eac_input')->where(['suc6_bat'=>$data->bta_barriers])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "int")
                        {
                            $count = DB::table('eac_input')->where(['suc6_int'=>$data->int_support])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "adh")
                        {
                            $count = DB::table('eac_input')->where(['suc6_adh'=>$data->adh_level])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('eac_input')->where(['suc6_sup'=>$data->sup_reason])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    else if($role_name[0] == "State_Manager")
                    {
                        if($request->master_name == "bta")
                        {
                            $count = DB::table('eac_input')->where(['suc6_bat'=>$data->bta_barriers,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "int")
                        {
                            $count = DB::table('eac_input')->where(['suc6_int'=>$data->int_support,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "adh")
                        {
                            $count = DB::table('eac_input')->where(['suc6_adh'=>$data->adh_level])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('eac_input')->where(['suc6_sup'=>$data->sup_reason,'state_code'=>$state_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    else if($role_name[0] == "District_Manager")
                    {
                        if($request->master_name == "bta")
                        {
                            $count = DB::table('eac_input')->whereIn('art_centre',$art_centre_code)->where(['suc6_bat'=>$data->bta_barriers])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "int")
                        {
                            $count = DB::table('eac_input')->whereIn('art_centre',$art_centre_code)->where(['suc6_int'=>$data->int_support])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "adh")
                        {
                            $count = DB::table('eac_input')->where(['suc6_adh'=>$data->adh_level])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('eac_input')->whereIn('art_centre',$art_centre_code)->where(['suc6_sup'=>$data->sup_reason,])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    else
                    {
                        if($request->master_name == "bta")
                        {
                            $count = DB::table('eac_input')->where(['suc6_bat'=>$data->bta_barriers,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "int")
                        {
                            $count = DB::table('eac_input')->where(['suc6_int'=>$data->int_support,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else if($request->master_name == "adh")
                        {
                            $count = DB::table('eac_input')->where(['suc6_adh'=>$data->adh_level,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                        else
                        {
                            $count = DB::table('eac_input')->where(['suc6_sup'=>$data->sup_reason,'emp_code'=>$emp_code])->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->count();
                        }
                    }
                    array_push($count_arr,$count);
                }
                $month_arr = array_reverse($month_arr);
                $count_arr = array_reverse($count_arr);
                $data->count_arr = $count_arr;
            }
        }
        
        $data = array(
            'master'=>$request->master_name,
            'getdata'=>$getdata,
            'month_arr'=>$month_arr,
        );
        return view('pages.eac-report')->with($data);
    }
    
    public function getoutreachageingreport(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        $month = date('m');
        $year = date('Y');
        
        $getdata = DB::table('outreach_input')->where('doe_for',1)->where('contact_visit','<',6)->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = $getdata->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = $getdata->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = $getdata->whereIn('art_centre',$art_centre_code)->get();
        }
        else
        {
            $getdata = $getdata->where('emp_code',$emp_code)->get();
        }
        
        $getdata = array(
            'getdata'=>$getdata,
            'month'=>$month,
            'year'=>$year
        );
        return view('pages.outreach-ageing-report')->with($getdata);
    }
    
    public function getfilteredoutreachageingreport(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        $month = $request->month;
        $year = $request->year;
        
        $getdata = DB::table('outreach_input')->where('doe_for',1)->where('contact_visit','<',6)->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = $getdata->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = $getdata->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = $getdata->whereIn('art_centre',$art_centre_code)->get();
        }
        else
        {
            $getdata = $getdata->where('emp_code',$emp_code)->get();
        }
        
        $getdata = array(
            'getdata'=>$getdata,
            'month'=>$month,
            'year'=>$year
        );
        return view('pages.outreach-ageing-report')->with($getdata);
    }
    
    public function getcallingageingreport(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        $month = date('m');
        $year = date('Y');
        
        $getdata = DB::table('outreach_input')->where('doe_for',2)->where('contact_visit','<',6)->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = $getdata->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = $getdata->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = $getdata->whereIn('art_centre',$art_centre_code)->get();
        }
        else
        {
            $getdata = $getdata->where('emp_code',$emp_code)->get();
        }
        
        $getdata = array(
            'getdata'=>$getdata,
            'month'=>$month,
            'year'=>$year
        );
        return view('pages.calling-ageing-report')->with($getdata);
    }
    
    public function getfilteredcallingageingreport(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        $month = $request->month;
        $year = $request->year;
        
        $getdata = DB::table('outreach_input')->where('doe_for',2)->where('contact_visit','<',6)->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = $getdata->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = $getdata->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = $getdata->whereIn('art_centre',$art_centre_code)->get();
        }
        else
        {
            $getdata = $getdata->where('emp_code',$emp_code)->get();
        }
        
        $getdata = array(
            'getdata'=>$getdata,
            'month'=>$month,
            'year'=>$year
        );
        return view('pages.calling-ageing-report')->with($getdata);
    }
    
    public function geteacageingreport(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        $month = date('m');
        $year = date('Y');
        
        $getdata = DB::table('eac_input')->where('eac_visit','<',7)->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = $getdata->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = $getdata->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = $getdata->whereIn('art_centre',$art_centre_code)->get();
        }
        else
        {
            $getdata = $getdata->where('emp_code',$emp_code)->get();
        }
        
        $getdata = array(
            'getdata'=>$getdata,
            'month'=>$month,
            'year'=>$year
        );
        return view('pages.eac-ageing-report')->with($getdata);
    }
    
    public function getfilteredeacageingreport(Request $request)
    { 
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        $month = $request->month;
        $year = $request->year;
        
        $getdata = DB::table('eac_input')->where('eac_visit','<',7)->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            $getdata = $getdata->get();
        }
        else if($role_name[0] == "State_Manager")
        {
            $getdata = $getdata->where(['state_code'=>$state_code])->get();
        }
        else if($role_name[0] == "District_Manager")
        {
            $getdata = $getdata->whereIn('art_centre',$art_centre_code)->get();
        }
        else
        {
            $getdata = $getdata->where('emp_code',$emp_code)->get();
        }
        
        $getdata = array(
            'getdata'=>$getdata,
            'month'=>$month,
            'year'=>$year
        );
        return view('pages.eac-ageing-report')->with($getdata);
    }
    
    public function getlinelistsummaryreport()
    {
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        $month = date('m');
        $year = date('Y');
        
        $outreach_zero = \DB::table('patient_mapping')
        ->select(
            'patient_mapping.pat_uid'
        )
        ->leftJoin('outreach_input','outreach_input.pat_uid','=','patient_mapping.pat_uid')
        ->whereNull('outreach_input.pat_uid')
        ->where('patient_mapping.linelist_type',1)
        ->whereMonth('patient_mapping.linelist_date',$month)
        ->whereYear('patient_mapping.linelist_date',$year)
        ->count();
        
        $calling_zero = \DB::table('patient_mapping')
        ->select(
            'patient_mapping.pat_uid'
        )
        ->leftJoin('outreach_input','outreach_input.pat_uid','=','patient_mapping.pat_uid')
        ->whereNull('outreach_input.pat_uid')
        ->where('patient_mapping.linelist_type',2)
        ->whereMonth('patient_mapping.linelist_date',$month)
        ->whereYear('patient_mapping.linelist_date',$year)
        ->count();
        
        $eac_zero = \DB::table('patient_mapping')
        ->select(
            'patient_mapping.pat_uid'
        )
        ->leftJoin('eac_input','eac_input.pat_uid','=','patient_mapping.pat_uid')
        ->whereNull('eac_input.pat_uid')
        ->where('patient_mapping.linelist_type',3)
        ->whereMonth('patient_mapping.linelist_date',$month)
        ->whereYear('patient_mapping.linelist_date',$year)
        ->count();
        
        $outreach_arr = array($outreach_zero);
        $calling_arr = array($calling_zero);
        $eac_arr = array($eac_zero);
        
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            for($i=1;$i<=6;$i++)
            {
                $getocdata = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                $geteacdata = DB::table('eac_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
        
                $outreach_count = $getocdata->where('doe_for',1)->where('contact_visit',$i)->count();
                $calling_count = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->where('doe_for',2)->where('contact_visit',$i)->count();
                $eac_count = $geteacdata->where('eac_visit',$i)->count();
                array_push($outreach_arr,$outreach_count);
                array_push($calling_arr,$calling_count);
                array_push($eac_arr,$eac_count);
            }
            
        }
        else if($role_name[0] == "State_Manager")
        {
            for($i=1;$i<=6;$i++)
            {
                $getocdata = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                $geteacdata = DB::table('eac_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
        
                $outreach_count = $getocdata->where('doe_for',1)->where('contact_visit',$i)->where(['state_code'=>$state_code])->count();
                $calling_count = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->where('doe_for',2)->where('contact_visit',$i)->where(['state_code'=>$state_code])->count();
                $eac_count = $geteacdata->where('eac_visit',$i)->where(['state_code'=>$state_code])->count();
                array_push($outreach_arr,$outreach_count);
                array_push($calling_arr,$calling_count);
                array_push($eac_arr,$eac_count);
            }
        }
        else if($role_name[0] == "District_Manager")
        {
            for($i=1;$i<=6;$i++)
            {
                $getocdata = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                $geteacdata = DB::table('eac_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                
                $outreach_count = $getocdata->where('doe_for',1)->where('contact_visit',$i)->whereIn('art_centre',$art_centre_code)->count();
                $calling_count = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->where('doe_for',2)->where('contact_visit',$i)->whereIn('art_centre',$art_centre_code)->count();
                $eac_count = $geteacdata->where('eac_visit',$i)->whereIn('art_centre',$art_centre_code)->count();
                array_push($outreach_arr,$outreach_count);
                array_push($calling_arr,$calling_count);
                array_push($eac_arr,$eac_count);
            }
        }
        else
        {
            for($i=1;$i<=6;$i++)
            {
                $getocdata = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                $geteacdata = DB::table('eac_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
        
                $outreach_count = $getocdata->where('doe_for',1)->where('contact_visit',$i)->where('emp_code',$emp_code)->count();
                $calling_count = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->where('doe_for',2)->where('contact_visit',$i)->where('emp_code',$emp_code)->count();
                $eac_count = $geteacdata->where('eac_visit',$i)->where('emp_code',$emp_code)->count();
                array_push($outreach_arr,$outreach_count);
                array_push($calling_arr,$calling_count);
                array_push($eac_arr,$eac_count);
            }
        }
        
        $getdata = array(
            'outreach_arr'=>$outreach_arr,
            'calling_arr'=>$calling_arr,
            'eac_arr'=>$eac_arr,
            'month'=>$month,
            'year'=>$year
        );
        return view('pages.linelist-summary-report')->with($getdata);
    }
    
    public function getfilteredlinelistsummaryreport(Request $request)
    {
        $art_centre_code = \Auth::user()->art_centre_code;
        $art_centre_code = explode(', ',$art_centre_code);
        $state_code  = \Auth::user()->state_code;
        $emp_code  = \Auth::user()->emp_code;
        $role_name  = \Auth::user()->roles->pluck('name');
        $month = $request->month;
        $year = $request->year;
        
        $outreach_zero = \DB::table('patient_mapping')
        ->select(
            'patient_mapping.pat_uid'
        )
        ->leftJoin('outreach_input','outreach_input.pat_uid','=','patient_mapping.pat_uid')
        ->whereNull('outreach_input.pat_uid')
        ->where('patient_mapping.linelist_type',1)
        ->whereMonth('patient_mapping.linelist_date',$month)
        ->whereYear('patient_mapping.linelist_date',$year)
        ->count();
        
        $calling_zero = \DB::table('patient_mapping')
        ->select(
            'patient_mapping.pat_uid'
        )
        ->leftJoin('outreach_input','outreach_input.pat_uid','=','patient_mapping.pat_uid')
        ->whereNull('outreach_input.pat_uid')
        ->where('patient_mapping.linelist_type',2)
        ->whereMonth('patient_mapping.linelist_date',$month)
        ->whereYear('patient_mapping.linelist_date',$year)
        ->count();
        
        $eac_zero = \DB::table('patient_mapping')
        ->select(
            'patient_mapping.pat_uid'
        )
        ->leftJoin('eac_input','eac_input.pat_uid','=','patient_mapping.pat_uid')
        ->whereNull('eac_input.pat_uid')
        ->where('patient_mapping.linelist_type',3)
        ->whereMonth('patient_mapping.linelist_date',$month)
        ->whereYear('patient_mapping.linelist_date',$year)
        ->count();
        
        $outreach_arr = array($outreach_zero);
        $calling_arr = array($calling_zero);
        $eac_arr = array($eac_zero);
        
        if($role_name[0] == "Super Admin" || $role_name[0] == "Admin" || $role_name[0] == "National_Manager")
        {
            for($i=1;$i<=6;$i++)
            {
                $getocdata = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                $geteacdata = DB::table('eac_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                
                $outreach_count = $getocdata->where('doe_for',1)->where('contact_visit',$i)->count();
                $calling_count = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->where('doe_for',2)->where('contact_visit',$i)->count();
                $eac_count = $geteacdata->where('eac_visit',$i)->count();
                array_push($outreach_arr,$outreach_count);
                array_push($calling_arr,$calling_count);
                array_push($eac_arr,$eac_count);
            }
        }
        else if($role_name[0] == "State_Manager")
        {
            for($i=1;$i<=6;$i++)
            {
                $getocdata = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                $geteacdata = DB::table('eac_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                
                $outreach_count = $getocdata->where('doe_for',1)->where('contact_visit',$i)->where(['state_code'=>$state_code])->count();
                $calling_count = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->where('doe_for',2)->where('contact_visit',$i)->where(['state_code'=>$state_code])->count();
                $eac_count = $geteacdata->where('eac_visit',$i)->where(['state_code'=>$state_code])->count();
                array_push($outreach_arr,$outreach_count);
                array_push($calling_arr,$calling_count);
                array_push($eac_arr,$eac_count);
            }
        }
        else if($role_name[0] == "District_Manager")
        {
            for($i=1;$i<=6;$i++)
            {
                $getocdata = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                $geteacdata = DB::table('eac_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                
                $outreach_count = $getocdata->where('doe_for',1)->where('contact_visit',$i)->whereIn('art_centre',$art_centre_code)->count();
                $calling_count = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->where('doe_for',2)->where('contact_visit',$i)->whereIn('art_centre',$art_centre_code)->count();
                $eac_count = $geteacdata->where('eac_visit',$i)->whereIn('art_centre',$art_centre_code)->count();
                array_push($outreach_arr,$outreach_count);
                array_push($calling_arr,$calling_count);
                array_push($eac_arr,$eac_count);
            }
        }
        else
        {
            for($i=1;$i<=6;$i++)
            {
                $getocdata = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                $geteacdata = DB::table('eac_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year);
                
                $outreach_count = $getocdata->where('doe_for',1)->where('contact_visit',$i)->where('emp_code',$emp_code)->count();
                $calling_count = DB::table('outreach_input')->whereMonth('linelist_date',$month)->whereYear('linelist_date',$year)->where('doe_for',2)->where('contact_visit',$i)->where('emp_code',$emp_code)->count();
                $eac_count = $geteacdata->where('eac_visit',$i)->where('emp_code',$emp_code)->count();
                array_push($outreach_arr,$outreach_count);
                array_push($calling_arr,$calling_count);
                array_push($eac_arr,$eac_count);
            }
        }
        
        $getdata = array(
            'outreach_arr'=>$outreach_arr,
            'calling_arr'=>$calling_arr,
            'eac_arr'=>$eac_arr,
            'month'=>$month,
            'year'=>$year
        );
        return view('pages.linelist-summary-report')->with($getdata);
    }
}

?>