@extends('layouts.main') 
@section('title', 'Data Entry Operator Data')
@section('content')
    <!-- push external head elements to head -->
    @push('head')
        <link rel="stylesheet" href="{{ asset('plugins/DataTables/datatables.min.css') }}">
        <link rel="stylesheet" href="{{ asset('plugins/jquery-ui/jquery-ui.css') }}">
    @endpush

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-pie-chart bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('Data Entry Operator Data') }}</h5>
                            <!-- <span>{{ __('EJAF.') }}</span> -->
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            
                           <li class="breadcrumb-item active" aria-current="page">{{ __('Data Entry Operator')}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3>{{ __('Data Entry Operator Data Table') }}</h3>
                    </div>
                    <div class="card-body table-responsive">
                        <table id="myAdvancedTable" class="table p-3">
                            <thead>
                                <tr>
                                    <th>{{ __('Date') }}</th>
                                    <th>{{ __('Day') }}</th>
                                    <th>{{ __('State Code') }}</th>
                                    <th>{{ __('Dist Code') }}</th>
                                    <th>{{ __('Staff Code') }}</th>
                                    <th>{{ __('ART Center Code') }}</th>
                                    <th>{{ __('ART Center Name') }}</th>
                                    <th style="display: none;">{{ __('Viral Load Entry') }}</th>
                                    <th style="display: none;">{{ __('CD4 Entry') }}</th>
                                    <th style="display: none;">{{ __('IPT Entry') }}</th>
                                    <th style="display: none;">{{ __('White Cards Entry') }}</th>
                                    <th style="display: none;">{{ __('PALS Entry') }}</th>
                                    <th style="display: none;">{{ __('SOCH Entry') }}</th>
                                    <th style="display: none;">{{ __('MLL Entry') }}</th>
                                    <th style="display: none;">{{ __('Dispassion Entry') }}</th>
                                    <th style="display: none;">{{ __('Other Work') }}</th>
                                    <th>{{ __('Action') }}</th>
                                </tr>
                            </thead>
                            <tbody>
                                 @foreach ($getdata as $getdatas)
                                <tr>
                                    <td>
                                        @if(isset($getdatas->date))
                                        {{ date('d-m-Y',strtotime($getdatas->date)) }}
                                        @endif
                                    </td>
                                    <td>{{ $getdatas->day }}</td>
                                    <td>{{ $getdatas->state_code }}</td>
                                    <td>{{ $getdatas->dist_code }}</td>
                                    <td>{{ $getdatas->emp_code }}</td>

                                    <?php
                                    $getartdata = DB::table('art_centre_master')->where(['art_centre_code'=>$getdatas->art_centre_code])->first();
                                    ?>
                                    <td>{{ $getartdata->art_centre_code ?? '' }}</td>
                                    <td>{{ $getartdata->name_of_artc ?? '' }}</td>
                                    <td style="display: none;">{{ $getdatas->vl_entry }}</td>
                                    <td style="display: none;">{{ $getdatas->cd4_entry }}</td>
                                    <td style="display: none;">{{ $getdatas->ipt_entry }}</td>
                                    <td style="display: none;">{{ $getdatas->white_cards_entry }}</td>
                                    <td style="display: none;">{{ $getdatas->pals_entry }}</td>
                                    <td style="display: none;">{{ $getdatas->soch_entry }}</td>
                                    <td style="display: none;">{{ $getdatas->mll_entry }}</td>
                                    <td style="display: none;">{{ $getdatas->disp_entry }}</td>
                                    <td style="display: none;">{{ $getdatas->other_work }}</td>
                                    <td>
                                        @if(\Session::get('loggindata')->doe_modify == 'Yes')
                                        <a href="{{'editdeoinput/'.$getdatas->id}}" class='btn btn-success'>Edit</a> 
                                        @endif
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div> 
            </div>
        </div>
    </div>

    <!-- push external js -->
    @push('script')
    <script src="{{ asset('plugins/jquery-ui/jquery-ui.min.js') }}"></script>
    <script src="{{ asset('plugins/DataTables/datatables.min.js') }}"></script>
    <!--get editable datatable script-->
    <script src="{{ asset('js/editable-datatable.js') }}"></script>
    @endpush
@endsection
