@extends('layouts.main') 
@section('title', 'User Login')
@section('content')

<?php 
    $getstatecodedata = DB::table('state_master')->get();
    $getdistrictcodedata = DB::table('district_master')->get();
?>
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-edit bg-blue"></i>
                        <div class="d-inline">
                            <h5>{{ __('User Login')}}</h5>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="{{route('dashboard')}}"><i class="ik ik-home"></i></a>
                            </li>
                            <li class="breadcrumb-item"><a href="#">{{ __('Forms')}}</a></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><h3>{{ __('User Login')}}</h3></div>
                    <div class="card-body">
                        <form class="forms-sample" method='POST' @if(!empty($showdata)) action="{{ url('updateuserlogin') }}" @else action="{{ url('userlogininsert') }}" @endif name='userloginmaster'>
                            @csrf
                            
                            @if(!empty($showdata))
                            <input type='hidden' name='userid' value='{{$showdata[0]->id}}'>
                            @endif
                            
                            <div class="form-group">
                                <label for="name">{{ __('User Name')}}</label>
                                <input type="text" class="form-control" id="name" name='name' @if(!empty($showdata)) value='{{$showdata[0]->name}}' @endif placeholder="Enter user name" required>
                            </div>
                            <div class="form-group">
                                <label for="email">{{ __('User Email')}}</label>
                                <input type="email" class="form-control" id="email" name='email' <?php if(!empty($showdata)){ ?> value='{{$showdata[0]->email}}' <?php } ?> placeholder="Enter user email" required>
                            </div>
                            @if(empty($showdata))
                            <div class="form-group">
                                <label for="userpass">{{ __('User Password')}}</label>
                                <input type="password" class="form-control" id="userpass" name='userpass' placeholder="Enter user password" required>
                            </div>
                            @endif
                            <div class="form-group">
                                <label for="dist_code">{{ __('District Code')}}</label>
                                <select name='dist_code' id='distcode' class='form-control' value='Select Option'>
                                    <option>Select State Code</option>
                                    <?php foreach($getdistrictcodedata as $getdistrictcode){ ?>
                                     <option value='<?php echo $getdistrictcode->district_code; ?>' @if(!empty($showdata)){{ $showdata[0]->dist_code == $getdistrictcode->district_code ? 'selected' : '' }} @endif ><?php echo $getdistrictcode->district_code; ?></option>
                                     <?php } ?>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="state_code">{{ __('State Code')}}</label>
                                <select name='state_code' id='statecode' class='form-control' value='Select Option'>
                                    <option>Select State Code</option>
                                    <?php foreach($getstatecodedata as $getstatecode){ ?>
                                     <option value='<?php echo $getstatecode->state_code; ?>' @if(!empty($showdata)) {{ $showdata[0]->state_code == $getstatecode->state_code ? 'selected' : '' }} @endif ><?php echo $getstatecode->state_code; ?></option>
                                     <?php } ?>
                                </select>
                            </div>
                            
                            <br><br>
                            <button type="submit" class="btn btn-primary mr-2">{{ __('Submit')}}</button>
                            @if(empty($showdata))
                            <a href='{{'user-login'}}' class="btn btn-light">{{ __('Cancel')}}</a>
                            @endif
                          </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
   
    <!-- push external js -->
    @push('script')
        <script src="{{ asset('js/form-components.js') }}"></script>
    @endpush
@endsection