 
<?php $__env->startSection('title', 'Client Register Data'); ?>
<?php $__env->startSection('content'); ?>
    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/DataTables/datatables.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/jquery-ui/jquery-ui.css')); ?>">
    <?php $__env->stopPush(); ?>

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-pie-chart bg-blue"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('Client Register Data')); ?></h5>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('dashboard')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            
                           <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Client Register')); ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        
        <?php
        use App\User;
        $id = Auth::user()->id;
        $user  = User::with('roles','permissions')->find($id);
        ?>
        
        <div class="row clearfix">
            <div class="col-md-12">
                <?php if(session()->has('success')): ?>
                <div class="box no-border">
                    <div class="box-tools">
                        <p class="alert alert-success alert-dismissible">
                            <?php echo e(session()->get('success')); ?>

                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        </p>
                    </div>
                </div>
                <?php endif; ?>
                <?php if(session()->has('error')): ?>
                <div class="box no-border">
                    <div class="box-tools">
                        <p class="alert alert-danger alert-dismissible">
                            <?php echo e(session()->get('error')); ?>

                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                        </p>
                    </div>
                </div>
                <?php endif; ?>
                <div class="card">
                    <div class="card-header">
                        <div class="col-md-9 pl-0">
                            <h3><?php echo e(__('Client Registration Data Table')); ?></h3>
                        </div>
                        <!--<div class="col-md-3 text-right">-->
                        <!--    <a href="<?php echo e('upload-patient'); ?>" class='btn btn-primary'><?php echo e(__('Import Client Register')); ?></a>-->
                        <!--</div>-->
                    </div>
                    <div class="card-body table-responsive">
                        <table id="myAdvancedTable" class="table p-3">
                            <thead>
                                <tr>
                                    <th style="display: none;"><?php echo e(__('State Code')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Dist Code')); ?></th>
                                    <th><?php echo e(__('Staff Code')); ?></th>
                                    <th style="display: none;"><?php echo e(__('ART Center Code')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client UID')); ?></th>
                                    <th><?php echo e(__('Date of Entry')); ?></th>
                                    <th><?php echo e(__('Pre ART REG Num')); ?></th>
                                    <th><?php echo e(__('ART REG Num')); ?></th>
                                    <th><?php echo e(__('Client Name')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client DOB')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client Age')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client Sex')); ?></th>
                                    <th><?php echo e(__('Mobile Num')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Alternate Num')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client District')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client City')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client Subdistrict- Mandal/Block')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client Address')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client Pincode')); ?></th>
                                    <th style="display: none;"><?php echo e(__('Client Status')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                 <?php $__currentLoopData = $getdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $getdatas): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td style="display: none;"><?php echo e($getdatas->state_code); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->dist_code); ?></td>
                                    <td><?php echo e($getdatas->emp_code); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->art_centre); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->pat_uid); ?></td>
                                    <?php if(isset($getdatas->doe)): ?>
                                    <td><?php echo e(date('d-m-Y',strtotime($getdatas->doe))); ?></td>
                                    <?php else: ?>
                                    <td></td>
                                    <?php endif; ?>
                                    <td><?php echo e($getdatas->pre_art_reg_num); ?></td>
                                    <td><?php echo e($getdatas->art_reg_num); ?></td>
                                    <td><?php echo e($getdatas->pat_name); ?></td>
                                    <?php if(isset($getdatas->pat_dob)): ?>
                                    <td style="display: none;"><?php echo e(date('d-m-Y',strtotime($getdatas->pat_dob))); ?></td>
                                    <?php else: ?>
                                    <td style="display: none;"></td>
                                    <?php endif; ?>
                                    <td style="display: none;"><?php echo e($getdatas->pat_age); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->pat_sex); ?></td>
                                    <td><?php echo e($getdatas->pat_mobile); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->pat_alternate_mobile); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->pat_district); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->pat_city); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->pat_mandal); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->pat_address); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->pat_pincode); ?></td>
                                    <td style="display: none;"><?php echo e($getdatas->pat_status); ?></td>
                                    <td>
                                        <?php if(\Session::get('loggindata')->client_reg_modify == 'Yes'): ?>
                                        <a href='<?php echo e('editpatient/'.$getdatas->id); ?>' class='btn btn-success'>Edit</a> 
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div> 
            </div>
        </div>
    </div>

    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('plugins/jquery-ui/jquery-ui.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/DataTables/datatables.min.js')); ?>"></script>
    <!--get editable datatable script-->
    <script src="<?php echo e(asset('js/editable-datatable.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/virutha/treatbuddy.virutha.xyz/resources/views/pages/patient-register-data.blade.php ENDPATH**/ ?>