 
<?php $__env->startSection('title', 'Editable Datatable'); ?>
<?php $__env->startSection('content'); ?>
    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/DataTables/datatables.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/jquery-ui/jquery-ui.css')); ?>">
    <?php $__env->stopPush(); ?>
    <?php
        $adminstatecode = auth()->user()->state_code;
        $admindistcode = auth()->user()->dist_code;
        
        use App\User;
        $id = Auth::user()->id;
        $user  = User::with('roles','permissions')->find($id);
        $permissions = $user->getAllPermissions();
        $add_perm = 0;
        $edit_perm = 0;
        $delete_perm = 0;
        if(count($permissions) > 0)
        {
            foreach($permissions as $data)
            {
                if($data->name == "Add")
                {
                    $add_perm = 1;
                }
                if($data->name == "Modify")
                {
                    $edit_perm = 1;
                }
                if($data->name == "Delete")
                {
                    $delete_perm = 1;
                }
            }
        }
    ?>
    
    <div class="container-fluid">
         <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-pie-chart bg-blue"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('Client Registration View Data')); ?></h5>
                            <span><?php echo e(__('EJAF.')); ?></span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('dashboard')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            
                           <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Client Registration View')); ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        
        <div class="row clearfix">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header"><h3><?php echo e(__('Editable Data Table')); ?></h3></div>
                    <div class="card-body">
                        <table id="myAdvancedTable" class="table p-3">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('UID')); ?></th>
                                    <th><?php echo e(__('Outreach Coordinator Name')); ?></th>
                                    <th><?php echo e(__('Date of contact for registration')); ?></th>
                                    <th><?php echo e(__('Client Name')); ?></th>
                                    <th style="display:none"><?php echo e(__('Client Nick Name')); ?></th>
                                    <th><?php echo e(__('Primary Contact')); ?></th>
                                    <th style="display:none"><?php echo e(__('Alternate Contact Number')); ?></th>
                                    <th style="display:none"><?php echo e(__('Address')); ?></th>
                                    <th style="display:none"><?php echo e(__('Verbal Consent For Registration')); ?></th>
                                    <th style="display:none"><?php echo e(__('Primary Reason For Refusal')); ?></th>
                                    <th style="display:none"><?php echo e(__('Specify other')); ?></th>
                                    <th><?php echo e(__('Date of Next FollowUp')); ?></th>
                                    <th style="display:none"><?php echo e(__('Date of Registration')); ?></th>
                                    <th style="display:none"><?php echo e(__('Age')); ?></th>
                                    <th style="display:none"><?php echo e(__('Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Specify Other Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('State')); ?></th>
                                    <th style="display:none"><?php echo e(__('District')); ?></th>
                                    <th style="display:none"><?php echo e(__('Site Name')); ?></th>
                                    <th style="display:none"><?php echo e(__('Category')); ?></th>
                                    <th style="display:none"><?php echo e(__('Subcategory')); ?></th>
                                    <th style="display:none"><?php echo e(__('Did the client enrolled in Target Intervention Programs ever and received services?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Name of the TI')); ?></th>
                                    <th style="display:none"><?php echo e(__('Education level')); ?></th>
                                    <th style="display:none"><?php echo e(__('Employment status')); ?></th>
                                    <th style="display:none"><?php echo e(__('Specify other Employment status')); ?></th>
                                    <th style="display:none"><?php echo e(__('Marital status')); ?></th>
                                    <th style="display:none"><?php echo e(__('Regular Partner?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Currently living with spouse/regular partner?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Name of regular sex partner/spouse')); ?></th>
                                    <th style="display:none"><?php echo e(__('Age')); ?></th>
                                    <th style="display:none"><?php echo e(__('Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Specify Other Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('High risk category of the regular sex partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Condom use in last one month with the regular sex partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Name of Partner1')); ?></th>
                                    <th style="display:none"><?php echo e(__('Age')); ?></th>
                                    <th style="display:none"><?php echo e(__('Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Specify Other Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('High risk category of the regular sex partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Condom use in last one month with the regular sex partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Name of Partner2')); ?></th>
                                    <th style="display:none"><?php echo e(__('Age')); ?></th>
                                    <th style="display:none"><?php echo e(__('Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Specify Other Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('High risk category of the regular sex partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Condom use in last one month with the regular sex partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Name of Partner3')); ?></th>
                                    <th style="display:none"><?php echo e(__('Age')); ?></th>
                                    <th style="display:none"><?php echo e(__('Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Specify Other Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('High risk category of the regular sex partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Condom use in last one month with the regular sex partner')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 1 Name')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 1 Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 1 Specify Other Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 1 Age')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 2 Name')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 2 Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 2 Specify Other Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 2 Age')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 3 Name')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 3 Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 3 Specify Other Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 3 Age')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 4 Name')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 4 Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 4 Specify Other Gender')); ?></th>
                                    <th style="display:none"><?php echo e(__('Child 4 Age')); ?></th>
                                    <th style="display:none"><?php echo e(__('Have you ever had sex to receive money, alcohol, drugs, gifts, food or other things?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Since how long you are in sex work? (Years) ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Since how long you are in sex work? (Months) ')); ?></th>
                                    <th style="display:none"><?php echo e(__('When was the last time you had sex for money, alcohol, drugs, gifts, food or other things?')); ?></th>
                                    <th style="display:none"><?php echo e(__('How many sex acts have you had in the last one week with non-regular partners?')); ?></th>
                                    <th style="display:none"><?php echo e(__('How many sex acts were without condom in last one week with nonregular partner?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Average no. of sexual acts per day? (as per last week acts)')); ?></th>
                                    <th style="display:none"><?php echo e(__('STI symptoms reported in the last six months?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Do you consume alcohol or other drugs immediately before or during sexual activities?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Did you go through violence by partner in the last six months?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Mobility: As part of your work, do you travel to other places?')); ?></th>
                                    <th style="display:none"><?php echo e(__('If yes, how many times moved out in last one month?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Have you ever injected drugs for non-medical reason?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Since how long you are injecting drugs? (Years)')); ?></th>
                                    <th style="display:none"><?php echo e(__('Since how long you are injecting drugs? (Months)')); ?></th>
                                    <th style="display:none"><?php echo e(__('When was the last time you injected drugs?')); ?></th>
                                    <th style="display:none"><?php echo e(__('How many injecting acts have you had in the last one week? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Frequency of using new needle and syringes while injecting drugs in the last one month? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Average no. of injecting acts per day? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Have you ever shared (passing or using after someone else) needle/syringes and paraphernalia in the last one month? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Who did you share needle/syringes with in the past one month? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Do you consume alcohol or other non-injecting drugs immediately before/after or during injecting drugs? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Mobility: Do you travel other places (from one hotspot/site to another) for injecting drugs? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('If yes, how many times moved out in last one month? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Have you ever tested for HIV? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('If yes, whether the test was done in last six month? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('If tested, did you receive the HIV test result? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('What was the test result? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Have you registered at ART center and initiated ART? ')); ?></th>
                                    <th style="display:none"><?php echo e(__('Name of the ART centre')); ?></th>
                                    <th style="display:none"><?php echo e(__('Pre-ART No.')); ?></th>
                                    <th style="display:none"><?php echo e(__('Date of ART initiation')); ?></th>
                                    <th style="display:none"><?php echo e(__('ART registration no.')); ?></th>
                                    <th style="display:none"><?php echo e(__('Have you taken ART in last 30 days?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Have you completed a Viral load test?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Date of last viral load test')); ?></th>
                                    <th style="display:none"><?php echo e(__('Status of last viral load test')); ?></th>
                                    <th style="display:none"><?php echo e(__('Viral load?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Have you ever initiated MAT (OST)?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Name of the OST centre')); ?></th>
                                    <th style="display:none"><?php echo e(__('Are you currently on OST treatment?')); ?></th>
                                    <th style="display:none"><?php echo e(__('Comment / Remarks')); ?></th>
                                    <th><?php echo e(__('Action')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $unwant = array("1) ", "2) ", "3) ", "4) ", "5) ", "6) ", "7) ", "8) ", "9) "); ?>
                                 <?php $__currentLoopData = $getdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $getdatas): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo $getdatas->state.'-'.$getdatas->district.'-' ?><?php echo e($getdatas->serialno); ?></td>
                                    <td><?php echo e($getdatas->outreachcoordinate); ?></td>
                                    <td><?php echo e($getdatas->registerdate); ?></td>
                                    <td><?php echo e($getdatas->clientname); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->clientnickname); ?></td>
                                    <td><?php echo e($getdatas->contactprimary); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->contactalternate); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->address); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->verbalconsent)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->refusal)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->a5aspecifyother); ?></td>
                                    <td><?php echo e($getdatas->datenextfollowup); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->uidregisterdate); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->age); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->gender)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->genderspecifyother); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->state); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->district); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->sitename); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->catprimary)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->subcat); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->enrollintarget)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->nameit); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->educationlevel)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->empleestatus)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->b91specifyother); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->materialstatus)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->regpartner)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->livingwith)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->infopertainingname1); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->infopertainingage1); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->infopgender1)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->b13gender1); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->highriskcat1)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->cuilm1)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->infopertainingname2); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->infopertainingage2); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->infopgender2)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->b13gender2); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->highriskcat2)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->cuilm2)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->infopertainingname3); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->infopertainingage3); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->infopgender3)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->b13gender3); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->highriskcat3)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->cuilm3)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->infopertainingname4); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->infopertainingage4); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->infopgender4)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->b13gender4); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->highriskcat4)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->cuilm4)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->c1name); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->c1gender)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->b14gender1); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->c1age); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->c2name); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->c2gender)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->b14gender2); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->c2age); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->c3name); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->c3gender)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->b14gender3); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->c3age); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->c4name); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->c4gender)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->b14gender4); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->c4age); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->strecmoney)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->hluisy); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->hluism); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->lasttuhs)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->sactuhh); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->sacwithoutuhh); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->avgnos); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->stisymp)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->aloother)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->throughvio)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->mobilityapo)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->hmtmout); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->strmoneyc2)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->hluisyc2); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->hluismc2); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->lasttimeuhsc2)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->sactuhhc2); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->freneedlec2)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->avgnosc2); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->stisympc2)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->alootherc2)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->throughvioc2)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->mobilityapoc2)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->hmtmoutc2); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->hivtest)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->donelstest)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->hivtestresult)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->wwtestr)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->artcregis)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->nameartc); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->preartno); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->dateartinitiation); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->artregno); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->arttakenlast)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->cviralload)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->dateviraltest); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->statusovirall)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->viralload)); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->ostmatini)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->nameostcenter); ?></td>
                                    <td style="display:none"><?php echo e(str_replace($unwant, "",$getdatas->treatmentost)); ?></td>
                                    <td style="display:none"><?php echo e($getdatas->commentremark); ?></td>
                                    <td>
                                        <?php if($edit_perm == 1): ?>
                                        <a href='<?php echo e('editclientregister/'.$getdatas->id); ?>' class='btn btn-success'>Edit</a> 
                                        <?php endif; ?>
                                        <?php if($delete_perm == 1): ?>
                                        <?php echo e(__(' | ')); ?><a href='<?php echo e('deleteclientregister/'.$getdatas->id); ?>' class='btn btn-danger'>Delete</a>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                
                            </tbody>
                        </table>
                    </div>
                </div> 
            </div>
        </div>
    </div>

    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('plugins/jquery-ui/jquery-ui.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/DataTables/datatables.min.js')); ?>"></script>
    <!--<script src="<?php echo e(asset('plugins/DataTables/Cell-edit/dataTables.cellEdit.js')); ?>"></script>-->
    <!--get editable datatable script-->
    <script src="<?php echo e(asset('js/editable-datatable.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/viruxyz/public_html/ejaf/resources/views/pages/client-register-data.blade.php ENDPATH**/ ?>