 
<?php $__env->startSection('title', 'Calling Input Report'); ?>
<?php $__env->startSection('content'); ?>
    <!-- push external head elements to head -->
    <?php $__env->startPush('head'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('plugins/DataTables/datatables.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('plugins/jquery-ui/jquery-ui.css')); ?>">
    <?php $__env->stopPush(); ?>

    
    <div class="container-fluid">
        <div class="page-header">
            <div class="row align-items-end">
                <div class="col-lg-8">
                    <div class="page-header-title">
                        <i class="ik ik-pie-chart bg-blue"></i>
                        <div class="d-inline">
                            <h5><?php echo e(__('Calling Input Report')); ?></h5>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <nav class="breadcrumb-container" aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="<?php echo e(route('dashboard')); ?>"><i class="ik ik-home"></i></a>
                            </li>
                            
                           <li class="breadcrumb-item active" aria-current="page"><?php echo e(__('Calling Input')); ?></li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
        
        <div class="row clearfix">
            <div class="col-md-12">
                
                <form class="forms-sample"  method='POST' action="<?php echo e(route('getfilteredcallingreport')); ?>" >
                        <?php echo csrf_field(); ?>
                            <div class="form-group row">
                                <div class="col-3">
                                    <select name='master_name' id='master' class='form-control' required>
                                        <option value="">Select Master</option>
                                        <option value='lfu' <?php echo e($master == 'lfu' ? 'selected' : ''); ?>>LFU</option>
                                        <option value='mis' <?php echo e($master == 'mis' ? 'selected' : ''); ?>>MIS</option>
                                        <option value='cd4' <?php echo e($master == 'cd4' ? 'selected' : ''); ?>>CD4</option>
                                        <option value='tld' <?php echo e($master == 'tld' ? 'selected' : ''); ?>>TLD</option>
                                        <option value='due_date' <?php echo e($master == 'due_date' ? 'selected' : ''); ?>>Due Date Call</option>
                                        <option value='tb_follow' <?php echo e($master == 'tb_follow' ? 'selected' : ''); ?>>TB Follow up</option>
                                    </select>
                                </div>
                                <div class="col-2">
                                    <button type="submit" id="submit" class="btn btn-primary mr-2"><?php echo e(__('Submit')); ?></button>
                                </div>
                            </div>
                        </form>
                <div class="card">
                    <!--<div class="card-header">-->
                    <!--    <h3><?php echo e(__('Outreach Input Report')); ?></h3>-->
                    <!--</div>-->
                    
                    <div class="card-body table-responsive">
                        
                        <table id="myAdvancedTable" class="table p-3">
                            <thead>
                                <tr>
                                    <th><?php echo e(__('Name')); ?></th>
                                    <?php $__currentLoopData = $month_arr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $month): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th><?php echo e(date('M-Y',strtotime($month.'-01'))); ?></th>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                            </thead>
                            <tbody>
                                 <?php $__currentLoopData = $getdata; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    
                                    <td>
                                        <?php if($master == 'cd4' || $master == 'tld'): ?>
                                        <?php echo e($name->cd4_ci_outcome); ?>

                                        <?php elseif($master == 'due_date'): ?>
                                        <?php echo e($name->due_date_outcome); ?>

                                        <?php elseif($master == 'tb_follow'): ?>
                                        <?php echo e($name->tb_outcome); ?>

                                        <?php else: ?>
                                        <?php echo e($name->lfu_ci_outcome); ?>

                                        <?php endif; ?>
                                    </td>
                                    <?php $__currentLoopData = $name->count_arr; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $count): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th><?php echo e($count); ?></th>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div> 
            </div>
        </div>
    </div>

    <!-- push external js -->
    <?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset('plugins/jquery-ui/jquery-ui.min.js')); ?>"></script>
    <script src="<?php echo e(asset('plugins/DataTables/datatables.min.js')); ?>"></script>
    <!--get editable datatable script-->
    <script src="<?php echo e(asset('js/editable-datatable.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/yrgdmc/public_html/treatment/resources/views/pages/calling-report.blade.php ENDPATH**/ ?>